TEMPLATE = lib
TARGET = desqui

QT += dbus widgets network

# Requires libDesQ
INCLUDEPATH += /usr/include/desq
LIBS += -ldesq

INCLUDEPATH += . Application FlowLayout MainWindow Progress Utils Widgets
DEPENDPATH += . Application FlowLayout MainWindow Progress Utils Widgets

HEADERS += Application/DesQApplication.hpp
HEADERS += Application/qtlocalpeer.hpp
HEADERS += MainWindow/DesQMainWindow.hpp
HEADERS += MainWindow/DesQActionBar.hpp
HEADERS += Layouts/DesQLayout.hpp
HEADERS += Progress/DesQUsageGauge.hpp
HEADERS += Progress/DesQUsageGraph.hpp
HEADERS += Progress/DesQUsagePie.hpp
HEADERS += Widgets/DesQLineEdit.hpp
HEADERS += Widgets/DesQComboBox.hpp
HEADERS += Utils/DesQUiUtils.hpp
HEADERS += DesQUI.hpp

SOURCES += Application/DesQApplication.cpp
SOURCES += Application/qtlocalpeer.cpp
SOURCES += MainWindow/DesQMainWindow.cpp
SOURCES += MainWindow/DesQActionBar.cpp
SOURCES += Layouts/DesQLayout.cpp
SOURCES += Progress/DesQUsageGauge.cpp
SOURCES += Progress/DesQUsageGraph.cpp
SOURCES += Progress/DesQUsagePie.cpp
SOURCES += Widgets/DesQLineEdit.cpp
SOURCES += Widgets/DesQComboBox.cpp
SOURCES += Utils/DesQUiUtils.cpp

contains( DEFINES, TESTAPP ) {
	TEMPLATE = app
	TARGET = desqui-test
	SOURCES += Main.cpp
}

# Silent compilation
CONFIG += silent

# For Q_DECL_EXPORT/Q_DECL_IMPORT
DEFINES += DESQUI

# Build location
BUILD_PREFIX = $$(DESQ_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
	BUILD_PREFIX = ./build
}

MOC_DIR 	= $$BUILD_PREFIX/DesQUI/moc
OBJECTS_DIR = $$BUILD_PREFIX/DesQUI/obj
RCC_DIR		= $$BUILD_PREFIX/DesQUI/qrc
UI_DIR      = $$BUILD_PREFIX/DesQUI/uic

unix {
	isEmpty(PREFIX) {
		PREFIX = /usr
	}
	LIBDIR = $$PREFIX/lib/

	INSTALLS += target headers
	target.path = $$LIBDIR

	#data.path = $$PREFIX/share/libdesqui/
	#data.files = README.md Changelog ReleaseNotes

	headers.path = $$PREFIX/include/desqui/
	headers.files = $$HEADERS DesQDropDownPlugin.hpp
}
