# libdesqui

The DesQ library for common UI elements to support multiple device form factors.

### Notes for compiling (Qt5) - linux:

* Download the sources
  * Git: `git clone https://gitlab.com/DesQ/libdesqui.git libdesqui-master`
* Enter `libdesqui-master`
* Open the terminal and type: `qmake -qt5 && make`
* To install, as root type: `make install`

### Dependencies:
* Qt5 (qtbase5-dev, qtbase5-dev-tools)
* libdesq (https://gitlab.com/DesQ/libdesq)

## My System Info
* OS:				Debian Sid
* Qt:				Qt5 5.12.5

### To Do
* Add support for window being moved from one screen to another
  * `QGuiApplication::primaryScreenChanged` seems to be the signal that tells us if the screen of the widget is changed
  * Otherwise we should listen to all signals related to screens, and then use `QDesktopWidget::screenNumber( const QWidget * )`
  * If not, we might have to dig through X11/Wayland
  * Once we have the screen on which our window resides
* Improve the UI backend so that we can dynamically change the UI if the application is moved from one screen to another

### Upcoming
* Any other feature you request for... :)
