/*
	*
	* Copyright 2019 Britanicus <marcusbritanicus@gmail.com>
	*
	* This file is a part of DesQ project (https://gitlab.com/desq/)
	*

	*
	* This program is free software; you can redistribute it and/or modify
	* it under the terms of the GNU General Public License as published by
	* the Free Software Foundation; either version 3 of the License, or
	* (at your option) any later version.
	*

	*
	* This program is distributed in the hope that it will be useful,
	* but WITHOUT ANY WARRANTY; without even the implied warranty of
	* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	* GNU General Public License for more details.
	*

	*
	* You should have received a copy of the GNU General Public License
	* along with this program; if not, write to the Free Software
	* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
	* MA 02110-1301, USA.
	*
*/

#pragma once

#include <DesQUI.hpp>

class DESQUI_DLLSPEC DesQComboBox : public DesQWidget {
	Q_OBJECT

	public:
		DesQComboBox( QString label, QStringList items, bool compact, QWidget *parent );

		bool isCompactMode() override;
		void setCompactMode( bool yes ) override;

		void addItem( QIcon icon = QIcon(), QString name = QString(), QVariant userData = QVariant() );
		void addItems( QStringList );

		void removeItem( int );

		QString currentText();
		QIcon currentIcon();
		int currentIndex();
		QVariant currentData();

		QString itemText( int );
		QIcon itemIcon( int );
		QVariant itemData( int );

	private:
		bool mCompactMode = false;

		QLabel *titleLbl;
		QComboBox *edit;
};
